<?php
ini_set('include_path', '.');

require_once('env-parser.php');
require_once('file-util.php');
require_once('db-util.php');

function remove_app($schema_files, $db_ids, $db_modify_hash) {
	import_sql_scripts_to_databases($schema_files, $db_ids, $db_modify_hash);
}

function import_sql_scripts_to_databases($schema_files, $db_ids, $db_modify_hash) {
	foreach ($db_ids as $db_id) {
		if (get_db_type($db_id) != "mysql") {
			print "FIXME: database type " . get_db_type($db_id) . " is not supported.\n";
			exit(1);
		}
		foreach ($schema_files as $schema_filename => $schema_db_id) {
			if ($schema_db_id == $db_id) {
				$connect = mysql_db_connect(
					get_db_host($db_id),
					get_db_login($db_id),
					get_db_password($db_id),
					get_db_name($db_id),
					get_db_port($db_id)
				);

				$sql = modify_content(
					$schema_filename,
					$db_modify_hash,
					$connect
				);

				populate_mysql_db($sql, $connect);
			}
		}
	}
}

function write_config_files($config_files, $psa_modify_hash) {
	foreach ($config_files as $web_id => $arr2) {
		foreach ($arr2 as $arr) {
			$template_file = $arr[0];
			$dest_path = get_web_dir($web_id) . '/' . $arr[1];
			modify_file(
				$template_file,
				$dest_path,
				$psa_modify_hash
			);
		}
	}
}
